Bug 1308325 - ipsec NSS database not created on install
ipsec NSS database not created on install
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager-libreswan (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-14 04:28 EST by Frank Büttner
Modified: 2016-12-20 13:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:43:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2016-02-14 04:28:34 EST
Description of problem:
It is not possible to use ipsec via the gnome NetworkManger plugins, because the database is not created.

Version-Release number of selected component (if applicable):
libreswan-3.16-1.fc23.x86_64

How reproducible:
Every time on an clean fedora install

Steps to Reproduce:
1. configure an vpn
2. try to connect

actual results:
pluto[4685]: NSS DB directory: sql:/etc/ipsec.d
pluto[4685]: NSS readonly initialization ("sql:/etc/ipsec.d") failed (err -8174)
pluto[4685]: FATAL: NSS initialization failure


Expected results:
NSS DB directory: sql:/etc/ipsec.d
pluto[6088]: NSS initialized
pluto[6088]: libcap-ng support [enabled]
pluto[6088]: FIPS HMAC integrity verification test passed
pluto[6088]: FIPS: pluto daemon NOT running in FIPS mode
pluto[6088]: Linux audit support [enabled]
pluto[6088]: Linux audit activated
pluto[6088]: Starting Pluto (Libreswan Version 3.16 XFRM(netkey)

Additional info:
To fix it, call als root on time: "ipsec initnss"
This will create the database.
Comment 1 Paul Wouters 2016-02-16 16:49:00 EST
This is because NetworkManager-openswan (used in f23) starts libreswan with:

       case CONNECT_STEP_IPSEC_START:
                /* Start the IPSec service */
                if (priv->libreswan) {
                        success = do_spawn (&priv->pid, NULL, NULL, error,
                                            priv->pluto_path, "--config", SYSCONFDIR "/ipsec.conf",
                                            NULL);


Thereby it skips everything that the ipsec service normally does on startup via the ipserv.service systemd service file. One of those tasks is migrating/updating/creating the NSS DB.

The only thing NM-openswan should do if it finds that the ipsec service is not running, is to start the ipsec service. It should not attempt to directly use _stackmanager or directly start the pluto daemon itself.
Comment 2 Fedora End Of Life 2016-11-24 10:33:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:43:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.